<project name="MyXtandemParser" default="generate_jnlp_dist"
	basedir=".">
	<description>
		MyXtandemParser ant build file
	</description>

	<!-- set global properties for this build -->

	<property name="usr.dir" location="@CMAKE_INSTALL_PREFIX@" />
	<property name="sys.dir" location="/usr/share/java" />
	<property name="share.dest" location="@CMAKE_BINARY_DIR@/share" />
	<property name="share" location="@CMAKE_SOURCE_DIR@/share" />
	<property name="resources" location="src/resources" />
	<property name="src" location="@CMAKE_SOURCE_DIR@/src" />
	<property name="lib" location="@CMAKE_SOURCE_DIR@/lib" />
	<property name="build" location="@CMAKE_BINARY_DIR@/build" />
	<property name="dist" location="@CMAKE_BINARY_DIR@/dist" />
	<property name="jnlpDir" location="@CMAKE_BINARY_DIR@/jnlp" />
	<property name="confDest" location="conf" />
	<property name="confDir" location="src/conf/release" />
	<property name="docDir" location="doc" />


	<!-- property name="resources" location="src/resources" /> <property name="src"
		location="src" /> <property name="build" location="build" /> <property name="dist"
		location="dist" /> <property name="confDir" location="src/conf/release" />
		<property name="docDir" location="doc" /> <property name="jnlpDir" location="jnlp"
		/ -->
	<property name="PROTICwwwDir" location="/home/langella/eclipse/PROTICwww" />

	<!-- sign informations -->
	<property name="keystore" value="/home/langella/.keystore" />
	<property name="alias" value="your_alias_in_keystore" />
	<property name="storepass" value="your_password_for_storepass" />
	<property name="keypass" value="your_password_for_keypass" />


	<target name="clean">
		<!-- Create the time stamp -->
		<delete dir="${jnlpDir}" />
		<delete dir="${build}" />
		<delete dir="${dist}" />
	</target>

	<target name="init">
		<!-- Create the time stamp -->
		<tstamp />
		<mkdir dir="${build}" />
		<mkdir dir="${jnlpDir}" />
		<mkdir dir="${dist}" />
	</target>



	<path id="classpathDebian">
		<!--xml-apis-ext.jar xml-apis.jar xercesImpl.jar xalan2.jar swt.jar batik.jar
			liblog4j1.2-java -->
		<fileset dir="${sys.dir}"
			includes="xmlgraphics-commons.jar commons-httpclient.jar commons-codec.jar commons-logging.jar log4j-1.2.jar xml-apis-ext.jar xml-apis.jar xercesImpl.jar xalan2.jar swt.jar batik.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="javacsv.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="ods2csv.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="libproteomicsvg.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="libodsstream.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="PPClient.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="mascotdatfile-3.4.9.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="cxf-common-utilities-2.2.4.jar" />
	</path>


	<target name="compileDebian" depends="init"
		description="compile the source and put in build directory">
		<!-- Compile the java code from ${src} into ${build} -->
		<copy file="${share}/xtandempipeline/javacsv.jar" todir="${share.dest}/xtandempipeline"
			overwrite="true" />
		<copy file="${share}/xtandempipeline/ods2csv.jar" todir="${share.dest}/xtandempipeline"
			overwrite="true" />
		<copy file="${share}/xtandempipeline/libproteomicsvg.jar" todir="${share.dest}/xtandempipeline"
			overwrite="true" />
		<copy file="${share}/xtandempipeline/libodsstream.jar" todir="${share.dest}/xtandempipeline"
			overwrite="true" />
		<copy file="${share}/xtandempipeline/PPClient.jar" todir="${share.dest}/xtandempipeline"
			overwrite="true" />
		<copy file="${share}/xtandempipeline/mascotdatfile-3.4.9.jar"
			todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/cxf-common-utilities-2.2.4.jar"
			todir="${share.dest}/xtandempipeline" overwrite="true" />
		<javac srcdir="${src}" destdir="${build}" target="1.6" source="1.6"
			classpathref="classpathDebian" includeantruntime="false">
			<compilerarg line="-encoding utf-8" />
			<!-- <compilerarg line="-encoding utf-8 -Xlint" /> -->
			<classpath>
				<pathelement
					location="${build}/fr/inra/pappso/xtandempipeline/XtandemPipelineMain.class" />
			</classpath>
		</javac>
	</target>



	<path id="classpath">
		<fileset dir="${lib}" includes="**/*.jar" />
		<pathelement location="${lib}" />
	</path>


	<target name="compile" depends="init"
		description="compile the source and put in build directory">
		<!-- Compile the java code from ${src} into ${build} -->
		<javac srcdir="${src}" destdir="${build}" target="1.6" source="1.6"
			classpathref="classpath" includeantruntime="false">
			<compilerarg line="-encoding utf-8" />
			<classpath>
				<pathelement
					location="${build}/fr/inra/pappso/xtandempipeline/XtandemPipelineMain.class" />
			</classpath>
		</javac>
	</target>

	<target name="jar" depends="compile"
		description="generates the jar file of the build directory">
		<mkdir dir="${build}/conf" />
		<copy todir="${build}/conf" overwrite="true">
			<fileset dir="${confDir}" includes="*" />
		</copy>
		<mkdir dir="${build}/resources" />
		<copy todir="${build}/resources" overwrite="true">
			<fileset dir="${resources}" includes="**" />
		</copy>

		<jar jarfile="${dist}/XtandemPipeline.jar" basedir="${build}">
			<!--<fileset file=".classpath" /> -->
			<manifest>
				<attribute name="Main-Class"
					value="fr.inra.pappso.xtandempipeline.XtandemPipelineMain" />
				<attribute name="Class-Path"
					value="${lib}/ods2csv.jar ${lib}/javacsv.jar ${lib}/http/commons-httpclient.jar
					${lib}/xmlgraphics-commons.jar
					 ${lib}/http/commons-codec.jar ${lib}/http/commons-logging.jar ${lib}/log4j-1.2.jar
					 ${lib}/xml-apis-ext.jar ${lib}/xml-apis.jar ${lib}/xercesImpl.jar ${lib}/xalan2.jar
					 ${lib}/swt/swt.jar ${sys.dir}/batik.jar  ${lib}/libproteomicsvg.jar  ${lib}/libodsstream.jar
					  ${lib}/PPClient.jar  ${lib}/@MASCOT_DAT_FILE_JAR@  ${lib}/cxf-common-utilities-2.2.4.jar
					 ${lib}/swt/swt-gtk-linux-x86_64.jar
					  " />

			</manifest>
		</jar>


		<!-- cd bin; jar -cf client.jar; -->
		<!-- <jar jarfile="client.jar" basedir="bin"/> -->
	</target>

	<target name="run" depends="jar">
		<java fork="true" maxmemory="3000m" classpathref="classpath"
			jar="${dist}/XtandemPipeline.jar">
			<classpath>
				<pathelement
					location="${build}/fr/inra/pappso/xtandempipeline/XtandemPipelineMain.class" />


			</classpath>
		</java>
	</target>

	<target name="generate_jnlp_dist" depends="jar"
		description="generate the MyXtandemParser application">

		<mkdir dir="${dist}/lib_signed" />
		<mkdir dir="${dist}/lib_signed/swt" />
		<mkdir dir="${dist}/lib_signed/batik" />
		<mkdir dir="${dist}/lib_signed/http" />

		<signjar jar="${dist}/XtandemPipeline.jar" keystore="${keystore}"
			alias="${alias}" storepass="${storepass}" keypass="${keypass}"
			signedjar="${dist}/sXtandemPipeline.jar" />
		<!-- <signjar jar="images.jar" keystore="/home/langella/.keystore" alias="langella"
			storepass="toto" keypass="toto" signedjar="${dist}/simages.jar" /> <signjar
			jar="user_guide.jar" keystore="/home/langella/.keystore" alias="langella"
			storepass="toto" keypass="toto" signedjar="${dist}/suser_guide.jar" /> -->
		<signjar destDir="${dist}/lib_signed" keystore="${keystore}"
			alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}" includes="*.jar" />
			</path>
		</signjar>
		<signjar destDir="${dist}/lib_signed/http" keystore="${keystore}"
			alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}/http" includes="*.jar" />
			</path>
		</signjar>

		<signjar destDir="${dist}/lib_signed/swt" keystore="${keystore}"
			alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}/swt" includes="*.jar" />
			</path>
		</signjar>
		<signjar destDir="${dist}/lib_signed/batik" keystore="${keystore}"
			alias="${alias}" storepass="${storepass}" keypass="${keypass}">
			<path>
				<fileset dir="${lib}/batik" includes="*.jar" />
			</path>
		</signjar>


		<!-- construction du répertoire download pour JNLP -->


		<copy todir="${jnlpDir}/lib" overwrite="true">
			<fileset dir="${dist}/lib_signed" includes="*" />
		</copy>
		<copy todir="${jnlpDir}/lib/swt" overwrite="true">
			<fileset dir="${dist}/lib_signed/swt" includes="*" />
		</copy>
		<copy todir="${jnlpDir}/lib/batik" overwrite="true">
			<fileset dir="${dist}/lib_signed/batik" includes="*" />
		</copy>
		<copy todir="${jnlpDir}/lib/http" overwrite="true">
			<fileset dir="${dist}/lib_signed/http" includes="*" />
		</copy>

		<copy file="${dist}/sXtandemPipeline.jar" tofile="${jnlpDir}/XtandemPipeline.jar"
			overwrite="true" />

		<copy todir="${jnlpDir}" overwrite="true">
			<fileset dir="${share.dest}/xtandempipeline" includes="*jnlp" />
		</copy>
	</target>


	<target name="installPROTICwww" depends="generate_jnlp_dist">
		<copy todir="${PROTICwwwDir}/applet/xtandempipeline" overwrite="true">
			<fileset dir="${jnlpDir}" includes="*/**" />
		</copy>
	</target>





	<target name="dir.check">
		<condition property="dir.exists">
			<available file="@xtandempipeline_SOURCE_DIR@/lib" type="dir" />
		</condition>
	</target>

	<target name="copyInShare"
		description="copies jar needed by the debian package into the share directory"
		depends="dir.check" if="dir.exists">
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/javacsv.jar" todir="${share}/xtandempipeline"
			overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/ods2csv.jar" todir="${share}/xtandempipeline"
			overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/libproteomicsvg.jar"
			todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/libodsstream.jar"
			todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/PPClient.jar" todir="${share}/xtandempipeline"
			overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/@MASCOT_DAT_FILE_JAR@"
			todir="${share}/xtandempipeline" overwrite="true" />
		<copy
			file="@xtandempipeline_SOURCE_DIR@/lib/cxf-common-utilities-2.2.4.jar"
			todir="${share}/xtandempipeline" overwrite="true" />
	</target>

	<target name="debianBuild" depends="compileDebian"
		description="generates the jar file for Debian">


		<mkdir dir="${build}/conf" />
		<copy todir="${build}/conf" overwrite="true">
			<fileset dir="${confDir}" includes="*" />
		</copy>
		<copy todir="${build}/fr" overwrite="true">
			<fileset dir="${src}/fr" includes="**" />
		</copy>
		<mkdir dir="${build}/resources" />
		<copy todir="${build}/resources" overwrite="true">
			<fileset dir="${resources}" includes="**" />
		</copy>

		<jar jarfile="${share.dest}/xtandempipeline/XtandemPipeline.jar"
			basedir="${build}">
			<!--<fileset dir="${confDir}" /> -->
			<!--<fileset file=".classpath" /> -->
			<manifest>
				<attribute name="Main-Class"
					value="fr.inra.pappso.xtandempipeline.XtandemPipelineMain" />
				<attribute name="Class-Path"
					value="${sys.dir}/xmlgraphics-commons-2.1.jar ${usr.dir}/share/xtandempipeline/ods2csv.jar ${usr.dir}/share/xtandempipeline/javacsv.jar ${sys.dir}/commons-httpclient.jar ${sys.dir}/commons-codec.jar ${sys.dir}/commons-logging.jar ${sys.dir}/log4j-1.2.jar ${sys.dir}/xml-apis-ext.jar ${sys.dir}/xml-apis.jar ${sys.dir}/xercesImpl.jar ${sys.dir}/xalan2.jar ${sys.dir}/swt.jar ${sys.dir}/batik.jar ${usr.dir}/share/xtandempipeline/libproteomicsvg.jar ${usr.dir}/share/xtandempipeline/libodsstream.jar ${usr.dir}/share/xtandempipeline/PPClient.jar ${usr.dir}/share/xtandempipeline/@MASCOT_DAT_FILE_JAR@ ${usr.dir}/share/xtandempipeline/cxf-common-utilities-2.2.4.jar" />
			</manifest>
		</jar>

		<!-- cd bin; jar -cf client.jar; -->
		<!-- <jar jarfile="client.jar" basedir="bin"/> -->
	</target>

	<target name="javadoc">
		<javadoc access="public" author="true" classpathref="classpath"
			destdir="@CMAKE_BINARY_DIR@/javadoc" nodeprecated="false"
			nodeprecatedlist="false" noindex="false" nonavbar="false" notree="false"
			packagenames="fr.inra.pappso.xtandempipeline, fr.inra.pappso.xtandempipeline.output, fr.inra.pappso.xtandempipeline.grouping, fr.inra.pappso.xtandempipeline.grouping.interfaces"
			source="1.6" sourcepath="@CMAKE_SOURCE_DIR@/src" splitindex="true"
			use="true" version="true" />
	</target>
</project>