<project name="XtandemPipeline" default="jarWithClasspath" basedir=".">
	<description>
		MyXtandemParser ant build file
	</description>

	<!-- set global properties for this build -->
	<!---Dusr=/usr/local-->

	<property name="usr.dir" location="@CMAKE_INSTALL_PREFIX@" />
	<property name="sys.dir" location="/usr/share/java" />
	<property name="share.dest" location="@CMAKE_BINARY_DIR@/share" />
	<property name="share" location="@xtandempipeline_SOURCE_DIR@/share" />
	<property name="resources" location="src/resources" />
	<property name="src" location="@xtandempipeline_SOURCE_DIR@/src" />
	<property name="build" location="@CMAKE_BINARY_DIR@/build" />
	<property name="dist" location="@CMAKE_BINARY_DIR@/dist" />
	<property name="jnlp" location="@CMAKE_BINARY_DIR@/jnlp" />
	<property name="confDest" location="conf" />
	<property name="confDir" location="src/conf/release" />
	<property name="docDir" location="doc" />



	<target name="reset">
		<!-- reset the build and dist directory -->
		<delete dir="${build}" />
		<delete dir="${dist}" />
		<mkdir dir="${build}" />
		<mkdir dir="${dist}" />
		<mkdir dir="${confDest}" />
		
	</target>


	<target name="init" depends="reset">
		<!-- Create the time stamp -->
		<tstamp />
	</target>

	<path id="classpath">
		<!--xml-apis-ext.jar xml-apis.jar xercesImpl.jar xalan2.jar swt.jar batik.jar  liblog4j1.2-java -->
		<fileset dir="${sys.dir}" includes="commons-httpclient.jar commons-codec.jar commons-logging.jar log4j-1.2.jar xml-apis-ext.jar xml-apis.jar xercesImpl.jar xalan2.jar swt.jar batik.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="javacsv.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="ods2csv.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="libproteomicsvg.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="libodsstream.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="PPClient.jar" />
		<fileset dir="${share.dest}/xtandempipeline" includes="@MASCOT_DAT_FILE_JAR@" />
		<fileset dir="${share.dest}/xtandempipeline" includes="cxf-common-utilities-2.2.4.jar" />
	</path>


	<target name="compile" depends="init" description="compile the source and put in build directory">
		<!-- Compile the java code from ${src} into ${build} -->
		<copy file="${share}/xtandempipeline/javacsv.jar" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/ods2csv.jar" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/libproteomicsvg.jar" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/libodsstream.jar" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/PPClient.jar" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/@MASCOT_DAT_FILE_JAR@" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<copy file="${share}/xtandempipeline/cxf-common-utilities-2.2.4.jar" todir="${share.dest}/xtandempipeline" overwrite="true" />
		<javac srcdir="${src}" destdir="${build}" target="1.6" source="1.6" classpathref="classpath" includeantruntime="false">
			<compilerarg line="-encoding utf-8" />
			<!-- <compilerarg line="-encoding utf-8 -Xlint" /> -->
			<classpath>
				<pathelement location="${build}/fr/inra/pappso/xtandempipeline/XtandemPipelineMain.class" />
			</classpath>
		</javac>
	</target>


	<target name="jarWithClasspath" depends="compile" description="generates the jar file for Ubuntu">


		<mkdir dir="${build}/conf" />
		<copy todir="${build}/conf" overwrite="true">
			<fileset dir="${confDir}" includes="*" />
		</copy>
		<copy todir="${build}/fr" overwrite="true">
			<fileset dir="${src}/fr" includes="**" />
		</copy>
		<mkdir dir="${build}/resources" />
		<copy todir="${build}/resources" overwrite="true">
			<fileset dir="${resources}" includes="**" />
		</copy>

		<jar jarfile="${share.dest}/xtandempipeline/XtandemPipeline.jar" basedir="${build}">
			<!--<fileset dir="${confDir}" />-->
			<!--<fileset file=".classpath" />-->
			<manifest>
				<attribute name="Main-Class" value="fr.inra.pappso.xtandempipeline.XtandemPipelineMain" />
				<attribute name="Class-Path" value="${usr.dir}/share/xtandempipeline/ods2csv.jar ${usr.dir}/share/xtandempipeline/javacsv.jar ${sys.dir}/commons-httpclient.jar ${sys.dir}/commons-codec.jar ${sys.dir}/commons-logging.jar ${sys.dir}/log4j-1.2.jar ${sys.dir}/xml-apis-ext.jar ${sys.dir}/xml-apis.jar ${sys.dir}/xercesImpl.jar ${sys.dir}/xalan2.jar ${sys.dir}/swt.jar ${sys.dir}/batik.jar ${usr.dir}/share/xtandempipeline/libproteomicsvg.jar ${usr.dir}/share/xtandempipeline/libodsstream.jar ${usr.dir}/share/xtandempipeline/PPClient.jar ${usr.dir}/share/xtandempipeline/@MASCOT_DAT_FILE_JAR@ ${usr.dir}/share/xtandempipeline/cxf-common-utilities-2.2.4.jar" />
			</manifest>
		</jar>

		<!-- cd bin; jar -cf client.jar; -->
		<!-- <jar jarfile="client.jar" basedir="bin"/> -->
	</target>


	<target name="clean" depends="jarWithClasspath">
		<delete dir="${jnlp}" />
		<delete dir="${build}" />
		<delete dir="${dist}" />
	</target>


  <target name="dir.check">
    <condition property="dir.exists">
      <available file="@xtandempipeline_SOURCE_DIR@/lib" type="dir"/>
    </condition>
  </target>
  
	<target name="copyInShare" description="copies jar needed by the ubuntu package into the share directory" depends="dir.check" if="dir.exists">
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/javacsv.jar" todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/ods2csv.jar" todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/libproteomicsvg.jar" todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/libodsstream.jar" todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/PPClient.jar" todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/@MASCOT_DAT_FILE_JAR@" todir="${share}/xtandempipeline" overwrite="true" />
		<copy file="@xtandempipeline_SOURCE_DIR@/lib/cxf-common-utilities-2.2.4.jar" todir="${share}/xtandempipeline" overwrite="true" />
	</target>
</project>
