/*******************************************************************************
 * Copyright (c) 2013 Olivier Langella <Olivier.Langella@moulon.inra.fr>
 * 
 * This file is part of XTandemPipeline.
 * 
 *     XTandemPipeline is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     XTandemPipeline is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with XTandemPipeline.  If not, see <http://www.gnu.org/licenses/>.
 * 
 ******************************************************************************/
package fr.inra.pappso.xtandempipeline.class_msms.XtandemFiles;

import java.io.File;

import fr.inra.pappso.xtandempipeline.class_msms.PeakListFile;

public class XtandemResultFile {

	private File xtandemResultFile;

	public XtandemResultFile(File outDirectory, PeakListFile pklFile) {
		this.xtandemResultFile = new File(outDirectory.getAbsolutePath()
				+ System.getProperty("file.separator") + pklFile.getBaseName()
				+ ".xml");
	}

	public String getName() {
		return xtandemResultFile.getName();
	}

	public String getAbsolutePath() {
		return xtandemResultFile.getAbsolutePath();
	}

	public boolean exists() {
		return xtandemResultFile.exists();
	}

}
