package fr.inra.pappso.xtandempipeline.filter_print;

import java.util.ArrayList;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.Match;
import fr.inra.pappso.xtandempipeline.class_msms.MatchList;
import fr.inra.pappso.xtandempipeline.class_msms.Modifs;
import fr.inra.pappso.xtandempipeline.class_msms.ModifsList;
import fr.inra.pappso.xtandempipeline.class_msms.MapDb.Peptide;

public class filter_isotopic_modifs extends filter_base {

	private ModifsList list;

	public filter_isotopic_modifs(ModifsList l) {
		super();
		this.list = l;
		logger.info("Set isotopic modifs");
	}

	public int execute(MatchList m) throws MSMSException {
		// processing de la match_list
		for (Match ms : m.getMatchListes()) {
			ArrayList<Peptide> peps = ms.get_all_peptides();
			for (Peptide pep : peps) {
				ArrayList<Modifs> mods = pep.get_Modifs();
				for (Modifs mod : mods) {
					if (list.containsKey(mod.get_modvalue()))
						mod.setIsotopicLabel(true);
					else
						mod.setIsotopicLabel(false);
				}
			}
			this.numberOfValidMatch++;
		}
		return (numberOfValidMatch);
	}

	public void set_isotopes_mods_lists(ModifsList l) {
		this.list = l;
	}

}
