package fr.inra.pappso.xtandempipeline.grouping;

import org.apache.log4j.Logger;

import fr.inra.pappso.xtandempipeline.grouping.interfaces.GrpMsSample;

public class HashSampleScan implements Comparable<HashSampleScan> {
	private static final Logger logger = Logger.getLogger(HashSampleScan.class);

	private int scan;
	private GrpMsSample msRun;

	protected HashSampleScan(int scan, GrpMsSample msRun) {
		this.scan = scan;
		this.msRun = msRun;
	}

	@Override
	protected void finalize() throws Throwable {
		// logger.debug("finalize HashSampleScan");
	}

	public int compareTo(HashSampleScan p) {
		int j = this.msRun.compareTo(p.getGrpMsSample());
		if (j != 0)
			return (j);
		int i = this.scan - p.getScan();
		return (i);

	}

	@Override
	public String toString() {
		return new String(scan + " " + msRun.getSampleName());
	}

	@Override
	public boolean equals(Object toCompare) {
		return (this == toCompare);
	}

	public int getScan() {
		return scan;
	}

	public GrpMsSample getGrpMsSample() {
		return msRun;
	}

}
