package fr.inra.pappso.xtandempipeline.thread;

import org.apache.log4j.Logger;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.config;

public class DataType_Base {
	private static final Logger logger = Logger.getLogger(DataType_Base.class);

	protected printing_base print;

	protected XtpProcess pro;

	protected Boolean is_invididual;

	protected Boolean is_phosphopeptide;

	protected String information;

	protected Boolean is_active;

	protected config conf;

	public DataType_Base(config conf) {
		this.conf = conf;
		this.defined_variable();
	}

	protected void defined_variable() {
		is_active = false;
		is_invididual = false;
		print = null;
		information = "No process type selected";
		pro = null;
		is_phosphopeptide = false;
	}

	public printing_base getPrint() throws MSMSException {
		if (print == null) {
			String message = "print == null";
			logger.error(message);
			throw new MSMSException(message);
		}
		return print;
	}

	public void newPrint() {
	}

	public XtpProcess getPro() {
		return pro;
	}

	public Boolean getIs_phosphopeptide() {
		return is_phosphopeptide;
	}

	public Boolean getIs_invididual() {
		return is_invididual;
	}

	public String getInformation() {
		return information;
	}

	public Boolean getIs_active() {
		return is_active;
	}

	public config getConf() {
		return conf;
	}

	public String getType() {
		return "no";
	}

	public DataType_Base getType(String Type) {
		if (Type.equals("indiv"))
			return new DataType_individual(conf);
		else if (Type.equals("combi"))
			return new DataType_Combine(conf);
		else if (Type.equals("phospho"))
			return new DataType_phosphopeptide(conf);
		else {
			logger.error("data type : " + Type + " does not exists");
		}
		return (this);
	}

}
