package fr.inra.pappso.xtandempipeline.thread;

import java.util.Vector;

import org.apache.log4j.Logger;
import fr.inra.pappso.xtandempipeline.MsException.StopException;
import fr.inra.pappso.xtandempipeline.class_msms.config;
import fr.inra.pappso.xtandempipeline.class_msms.IdentificationDataFile.IdentificationDataSource;

public class XtpProcess extends Thread {
	protected static final Logger logger = Logger.getLogger(XtpProcess.class);

	private String view;

	private boolean stop;

	private Exception error;

	protected config conf;

	private int maxprogress;

	private int currentprogress;

	public XtpProcess(config conf) {
		super();
		this.error = null;
		this.setStop(false);
		this.view = "";
		this.setConf(conf);
		this.currentprogress = 0;
		this.maxprogress = 1;
	}

	@Override
	protected void finalize() throws Throwable {
		logger.debug("finalize process");
	}

	public void run() {
		try {
			logger.debug("start running");
			long start = System.currentTimeMillis();
			this.processing();
			logger.info("Execution time = "
					+ (System.currentTimeMillis() - start) / 1000);
		} catch (StopException e) {
			logger.info("Process stopped " + e.getMessage());
			if (!e.getMessage().isEmpty()) {
				this.set_view("Error:\n" + e.getMessage());
			}
		} catch (Exception e) {
			this.error = e;
			logger.error("Process stopped, due to error");
			logger.error(e.getMessage());
			StackTraceElement[] f = e.getStackTrace();
			for (int i = 0; i < f.length; i++) {
				logger.error(f[i]);
			}
			this.set_view("Error:\n" + e.getMessage());
			// this.setStop(true);
		}
	}

	protected void processing() throws Exception {
		// Ecrire le process et penser à relever des StopException
	}

	synchronized public String getView() {
		return (this.view);
	}

	synchronized public void set_view(String v) {
		logger.debug(v);
		if (v.length() > 1000)
			this.view = v.substring(v.length() - 999);
		else
			this.view = v;
	}

	synchronized public Exception getError() {
		return (this.error);
	}

	synchronized public void setStop(boolean stop) {
		this.stop = stop;
		this.view = "Stopping...";
	}

	synchronized public boolean isStop() {
		return stop;
	}

	synchronized public void setConf(config conf) {
		this.conf = conf;
	}

	synchronized public config getConf() {
		return conf;
	}

	synchronized public void setDataSource(
			Vector<IdentificationDataSource> xtandem) {
	}

	synchronized public int get_max_progress() {
		return this.maxprogress;
	}

	synchronized public void set_max_progress(int max) {
		this.maxprogress = max;
	}

	synchronized public int get_current_progress() {
		return this.currentprogress;
	}

	synchronized public void add_current_progress() {
		this.currentprogress++;
	}

	synchronized public void set_current_progress(int p) {
		this.currentprogress = p;
	}

}
