package fr.inra.pappso.xtandempipeline.thread;

import org.apache.log4j.Logger;

import fr.inra.pappso.xtandempipeline.XtandemPipelineSession;
import fr.inra.pappso.xtandempipeline.MsException.StopException;
import fr.inra.pappso.xtandempipeline.class_msms.XpipFile;
import fr.inra.pappso.xtandempipeline.class_msms.config;
import fr.inra.pappso.xtandempipeline.class_msms.Identification;

public class save_result_and_filtering extends XtpProcess {
	protected static final Logger logger = Logger
			.getLogger(save_result_and_filtering.class);

	private XpipFile output;

	public save_result_and_filtering(config conf, XpipFile output) {
		super(conf);
		this.output = output;
		int total = 2;
		for (Identification ident : XtandemPipelineSession.getInstance()
				.getIdentificationList()) {
			total += ident.get_protein_liste().size();
		}
		this.set_max_progress(total);
	}

	protected void processing() throws Exception {
		logger.info("save result and filter");

		// Invalider les protéines non présents dans les protéines identifiées
		this.set_view("Removing redondant proteins");
		for (Identification ident : XtandemPipelineSession.getInstance()
				.getIdentificationList()) {
			ident.setProteinListValideToGroupeSet();
		}

		// verification pas arreté
		if (this.isStop())
			throw new StopException("");
		this.add_current_progress();

		// on sauve dans le fichier
		this.set_view("Saving data to file :\n" + output.getName());

		output.write(this, XtandemPipelineSession.getInstance());

		// verification pas arreté
		if (this.isStop())
			throw new StopException("");

	}

}
