package fr.inra.pappso.xtandempipeline.filter_print;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.Match;
import fr.inra.pappso.xtandempipeline.class_msms.MatchList;
import fr.inra.pappso.xtandempipeline.class_msms.MsRun;
import fr.inra.pappso.xtandempipeline.class_msms.MsRunSet;

public class filter_protein_evalue_to extends filter_base {
	
	private float protein_evalue;
	
	public filter_protein_evalue_to(float evalue){
		super();
		this.protein_evalue = evalue;
		logger.info("Filter by Evalue protein on sample < "+evalue);
	}
	
	public int execute(MatchList m) throws MSMSException{
		//processing de la match_list
		for(Match ms : m.getMatchListes()){
			MsRunSet samples = ms.get_sample_matchs();
			boolean valid = false;
			for(MsRun sample : samples){
				if (ms.get_protein_match().get_evalue(sample) < protein_evalue)
					valid = true;
			}
			if (valid){
				numberOfValidMatch++;
			}else{
				ms.setIsvalidate(false);
			}
		}
		return (this.numberOfValidMatch);
	}	

}
