package fr.inra.pappso.xtandempipeline.filter_print;

import java.util.ArrayList;
import java.util.Hashtable;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.Match;
import fr.inra.pappso.xtandempipeline.class_msms.MatchList;
import fr.inra.pappso.xtandempipeline.class_msms.MsRun;
import fr.inra.pappso.xtandempipeline.class_msms.MsRunSet;
import fr.inra.pappso.xtandempipeline.class_msms.MapDb.Peptide;

public class filter_recalcul_protein_evalue extends filter_base {

	public filter_recalcul_protein_evalue() {
		super();
		logger
				.info("Recalcul protein evalue by product of unique valid peptide");
	}

	public int execute(MatchList m) throws MSMSException {
		// processing de la match_list
		Hashtable<String, Float> pepsequence_to_score = new Hashtable<String, Float>();
		for (Match ms : m.getMatchListes()) {
			MsRunSet samples = ms.get_sample_matchs();
			ArrayList<Peptide> peps = ms.get_valid_peptides();

			// modification de la evalue par sample
			for (MsRun sample : samples) {
				pepsequence_to_score.clear();
				for (Peptide pep : peps) {
					if (pep.getMsRun().equals(sample)) {
						if (pepsequence_to_score.containsKey(pep.getSequence())) {
							if (pepsequence_to_score.get(pep.getSequence()) > pep
									.get_evalue())
								pepsequence_to_score.put(pep.getSequence(), pep
										.get_evalue());
						} else {
							pepsequence_to_score.put(pep.getSequence(), pep
									.get_evalue());
						}
					}
				}
				float evalue = 0;
				for (Float eval : pepsequence_to_score.values()) {
					evalue += Math.log10((double) eval);
				}
				ms.get_protein_match().corrected_evalue(sample, evalue);
			}

			// modification de la evalue pour l'ensemble des echantillons
			pepsequence_to_score.clear();
			for (Peptide pep : peps) {
				if (pepsequence_to_score.containsKey(pep.getSequence())) {
					if (pepsequence_to_score.get(pep.getSequence()) > pep
							.get_evalue())
						pepsequence_to_score.put(pep.getSequence(), pep
								.get_evalue());
				} else {
					pepsequence_to_score.put(pep.getSequence(), pep
							.get_evalue());
				}
			}
			float evalue = 0;
			for (Float eval : pepsequence_to_score.values()) {
				evalue += Math.log10((double) eval);
			}
			ms.get_protein_match().set_evalue(evalue);

			this.numberOfValidMatch++;
		}
		return (this.numberOfValidMatch);
	}

}
