package fr.inra.pappso.xtandempipeline.filter_print;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableItem;

import fr.inra.pappso.xtandempipeline.class_msms.Match;
import fr.inra.pappso.xtandempipeline.grouping.Group;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScan;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScanSetPhospho;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScanSetProt;
import fr.inra.pappso.xtandempipeline.grouping.SubGroup;
import fr.inra.pappso.xtandempipeline.thread.DataType_Base;

public class swt_table_protein extends swt_table_base {

	private String filter;

	private int subgroup_count;

	public swt_table_protein(Table ta, DataType_Base type) {
		super(ta, type);
		// TODO Auto-generated constructor stub
		if (type.getIs_invididual()) {
			header = new String[] { "  ", "group", "subgroup",
					"Protein Description", "Spectra", "Specifics", "Uniques",
					"PAI" };
			type_column = new int[] { -1, SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.FLOAT_COMPARATOR,
					SortListenerFactory.STRING_COMPARATOR,
					SortListenerFactory.INT_COMPARATOR, -1,
					SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.FLOAT_COMPARATOR };
		} else if (type.getIs_phosphopeptide()) {
			header = new String[] { "  ", "group", "subgroup",
					"Protein Description", "Spectra", "Uniques", "Position",
					"MultiPhospho" };
			type_column = new int[] { -1, SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.FLOAT_COMPARATOR,
					SortListenerFactory.STRING_COMPARATOR,
					SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.STRING_COMPARATOR,
					SortListenerFactory.INT_COMPARATOR };
		} else {
			header = new String[] { "  ", "group", "subgroup",
					"Protein Description", "Spectra", "Specific Uniques",
					"Uniques", "PAI" };
			type_column = new int[] { -1, SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.FLOAT_COMPARATOR,
					SortListenerFactory.STRING_COMPARATOR,
					SortListenerFactory.INT_COMPARATOR, -1,
					SortListenerFactory.INT_COMPARATOR,
					SortListenerFactory.FLOAT_COMPARATOR };
		}
		color = true;
		filter = "";
		subgroup_count = 0;
		logger.info("View SWT Protein Table on type :" + type.getType());
	}

	protected boolean set_table_item(Group group) throws Exception {
		Pattern pattern = Pattern.compile(".*" + filter + ".*",
				Pattern.CASE_INSENSITIVE);
		Matcher test;

		for (SubGroup sg : group.getSubGroupSet().getSubGroupList()) {
			boolean is_filter = false;
			if (color)
				color = false;
			else
				color = true;

			// on test si on garde le sous-groupe
			for (HashSampleScanSetProt hashProt : sg
					.getHashSampleScanSetProtSet()) {
				if (filter.equals(""))
					is_filter = true;
				else {
					test = pattern.matcher(((Match) hashProt.getGrpProtMatch())
							.get_protein_match().get_description());
					if (test.matches())
						is_filter = true;
					// if (hashProt.getMatch().get_protein_match()
					// .get_description().contains(filter)) {
					// is_filter = true;
					// }
				}
			}
			// is filter print in table
			if (is_filter) {
				for (HashSampleScanSetProt hashProt : sg
						.getHashSampleScanSetProtList()) {
					Match top = (Match) hashProt.getGrpProtMatch();
					TableItem item = new TableItem(table, SWT.NONE);
					item.setChecked(top.isIsvalidate());
					// on ajoute les liens
					item.setData("group", group);
					item.setData("subgroup", sg);
					item.setData("match", hashProt);

					// o, ajoute les data
					item.setText(0, "");
					item.setText(1, "" + group.getNumber());
					item.setText(2, this.get_subgroup_number(group, sg));
					int len = 40;
					if (top.get_protein_match().get_description().length() < len)
						len = top.get_protein_match().get_description()
								.length();
					item.setText(3, top.get_protein_match().get_description()
							.substring(0, len));
					item.setText(4, "" + hashProt.size());

					if (type.getIs_phosphopeptide()) {
						HashSampleScanSetPhospho phospho = (HashSampleScanSetPhospho) hashProt;
						item.setText(5,
								"" + hashProt.getUniquePeptideHashSampleScan());
						item.setText(6, phospho.getPhosphoPositionToPrint());
						int contain_multi = 0;
						for (HashSampleScan hash : phospho) {
							if (phospho.getGrpProtMatch()
									.getBestPeptideToHashSampleScan(hash)
									.getGrpPhosphoModifs().size() > 1) {
								contain_multi++;
							}
						}
						item.setText(7, "" + contain_multi);
					} else {
						if (group.getSubGroupSet().size() > 1) {
							if (type.getIs_invididual()) {
								item.setText(
										5,
										""
												+ group.getNumberOfSpecificSpectraInSubGroup(hashProt));
							} else {
								item.setText(
										5,
										""
												+ group.getNumberOfSpecificUniquePeptideInSubGroup(hashProt));
							}
						} else {
							item.setText(5, "-");
						}
						item.setText(6,
								"" + hashProt.getUniquePeptideHashSampleScan());
						item.setText(7, "" + (float) hashProt.getPAI());
					}
					if (!color)
						item.setBackground(table.getDisplay().getSystemColor(
								SWT.COLOR_WIDGET_LIGHT_SHADOW));
				}
				subgroup_count++;
			}
		}
		return (true);
	}

	public void setfilter(String text) {
		this.filter = text;
	}

	public int getSubgroup_count() {
		return subgroup_count;
	}

}
